Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientGroupAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientGroupAdapter.cs	(revision 910)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/ClientGroupAdapter.cs	(revision 910)
@@ -0,0 +1,52 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+
+namespace HeuristicLab.Hive.Server.ADODataAccess {
+  class ClientGroupAdapter: IClientGroupAdapter {
+    #region IClientGroupAdapter Members
+
+    public void UpdateClientGroup(ClientGroup group) {
+      throw new NotImplementedException();
+    }
+
+    public ClientGroup GetClientGroupById(long clientGroupId) {
+      throw new NotImplementedException();
+    }
+
+    public ICollection<ClientGroup> GetAllClientGroups() {
+      throw new NotImplementedException();
+    }
+
+    public bool DeleteClientGroup(ClientGroup group) {
+      throw new NotImplementedException();
+    }
+
+    #endregion
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj	(revision 909)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj	(revision 910)
@@ -65,4 +65,5 @@
   <ItemGroup>
     <Compile Include="ClientAdapter.cs" />
+    <Compile Include="ClientGroupAdapter.cs" />
     <Compile Include="dsHiveServer.cs">
       <DependentUpon>dsHiveServer.xsd</DependentUpon>
@@ -84,4 +85,5 @@
     <Compile Include="ResourceAdapter.cs" />
     <Compile Include="UserAdapter.cs" />
+    <Compile Include="UserGroupAdapter.cs" />
   </ItemGroup>
   <ItemGroup>
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/UserGroupAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/UserGroupAdapter.cs	(revision 910)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/UserGroupAdapter.cs	(revision 910)
@@ -0,0 +1,52 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+using HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+
+namespace HeuristicLab.Hive.Server.ADODataAccess {
+  class UserGroupAdapter: IUserGroupAdapter {
+    #region IUserGroupAdapter Members
+
+    public void UpdateUserGroup(UserGroup group) {
+      throw new NotImplementedException();
+    }
+
+    public UserGroup GetUserGroupById(long userGroupId) {
+      throw new NotImplementedException();
+    }
+
+    public ICollection<UserGroup> GetAllUserGroups() {
+      throw new NotImplementedException();
+    }
+
+    public bool DeleteUserGroup(UserGroup group) {
+      throw new NotImplementedException();
+    }
+
+    #endregion
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/InternalInterfaces/DataAccess/IClientGroupAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/InternalInterfaces/DataAccess/IClientGroupAdapter.cs	(revision 910)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/InternalInterfaces/DataAccess/IClientGroupAdapter.cs	(revision 910)
@@ -0,0 +1,58 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+
+namespace HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess {
+  /// <summary>
+  /// The client group database adapter
+  /// </summary>
+  public interface IClientGroupAdapter {
+    /// <summary>
+    /// Save or update the client group
+    /// </summary>
+    /// <param name="client"></param>
+    void UpdateClientGroup(ClientGroup group);
+
+    /// <summary>
+    /// Get the client group with the specified ID
+    /// </summary>
+    /// <param name="clientId"></param>
+    /// <returns></returns>
+    ClientGroup GetClientGroupById(long clientGroupId);
+
+    /// <summary>
+    /// Get all client groups
+    /// </summary>
+    /// <returns></returns>
+    ICollection<ClientGroup> GetAllClientGroups();
+
+    /// <summary>
+    /// Deletes the client group
+    /// </summary>
+    /// <param name="client"></param>
+    bool DeleteClientGroup(ClientGroup group);
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/InternalInterfaces/DataAccess/IUserGroupAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/InternalInterfaces/DataAccess/IUserGroupAdapter.cs	(revision 910)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/InternalInterfaces/DataAccess/IUserGroupAdapter.cs	(revision 910)
@@ -0,0 +1,58 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+
+namespace HeuristicLab.Hive.Server.Core.InternalInterfaces.DataAccess {
+  /// <summary>
+  /// The user group database adapter
+  /// </summary>
+  public interface IUserGroupAdapter {
+    /// <summary>
+    /// Save or update the user group
+    /// </summary>
+    /// <param name="client"></param>
+    void UpdateUserGroup(UserGroup group);
+
+    /// <summary>
+    /// Get the user group with the specified ID
+    /// </summary>
+    /// <param name="clientId"></param>
+    /// <returns></returns>
+    UserGroup GetUserGroupById(long userGroupId);
+
+    /// <summary>
+    /// Get all user groups
+    /// </summary>
+    /// <returns></returns>
+    ICollection<UserGroup> GetAllUserGroups();
+
+    /// <summary>
+    /// Deletes the user group
+    /// </summary>
+    /// <param name="client"></param>
+    bool DeleteUserGroup(UserGroup group);
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/ServiceLocator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/ServiceLocator.cs	(revision 909)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/ServiceLocator.cs	(revision 910)
@@ -32,5 +32,9 @@
   private static IClientAdapter clientAdapter = null;
 
+  private static IClientGroupAdapter clientGroupAdapter = null;
+
   private static IUserAdapter userAdapter = null;
+
+  private static IUserGroupAdapter userGroupAdapter = null;
   
   /// <summary>
@@ -47,4 +51,16 @@
 
   /// <summary>
+  /// Gets the client group database adapter
+  /// </summary>
+  /// <returns></returns>
+  internal static IClientGroupAdapter GetClientGroupAdapter() {
+    if (clientGroupAdapter == null) {
+      clientGroupAdapter = discoveryService.GetInstances<IClientGroupAdapter>()[0];
+    }
+
+    return clientGroupAdapter;
+  }
+
+  /// <summary>
   /// Gets the user database adapter
   /// </summary>
@@ -57,3 +73,15 @@
     return userAdapter;
   }
+
+  /// <summary>
+  /// Gets the user group database adapter
+  /// </summary>
+  /// <returns></returns>
+  internal static IUserGroupAdapter GetUserGroupAdapter() {
+    if (userGroupAdapter == null) {
+      userGroupAdapter = discoveryService.GetInstances<IUserGroupAdapter>()[0];
+    }
+
+    return userGroupAdapter;
+  }
 }