Index: /trunk/sources/HeuristicLab.sln
===================================================================
--- /trunk/sources/HeuristicLab.sln	(revision 920)
+++ /trunk/sources/HeuristicLab.sln	(revision 921)
@@ -162,5 +162,4 @@
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{F43B59AB-2B8C-4570-BC1E-15592086517C}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F43B59AB-2B8C-4570-BC1E-15592086517C}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -178,5 +177,4 @@
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F473D9AF-3F09-4296-9F28-3C65118DAFFA}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -194,5 +192,4 @@
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{47019A74-F7F7-482E-83AA-D3F4F777E879}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{47019A74-F7F7-482E-83AA-D3F4F777E879}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -223,5 +220,4 @@
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A9983BA2-B3B2-475E-8E2C-62050B71D1C5}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -239,5 +235,4 @@
 		{94186A6A-5176-4402-AE83-886557B53CCA}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{94186A6A-5176-4402-AE83-886557B53CCA}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{94186A6A-5176-4402-AE83-886557B53CCA}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -254,5 +249,4 @@
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -269,5 +263,4 @@
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{B4BE8E53-BA06-4237-9A01-24255F880201}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{B4BE8E53-BA06-4237-9A01-24255F880201}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -312,5 +305,4 @@
 		{F5614C53-153C-4A37-A608-121E1C087F07}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F5614C53-153C-4A37-A608-121E1C087F07}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{F5614C53-153C-4A37-A608-121E1C087F07}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F5614C53-153C-4A37-A608-121E1C087F07}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -327,5 +319,4 @@
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F7CF0571-25CB-43D5-8443-0843A1E2861A}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -342,5 +333,4 @@
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{205898D3-2717-4686-AF17-52409B7EC0C6}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{205898D3-2717-4686-AF17-52409B7EC0C6}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -357,5 +347,4 @@
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -386,5 +375,4 @@
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{B462D3CC-8866-42F0-9832-AD0967613B72}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{B462D3CC-8866-42F0-9832-AD0967613B72}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -401,5 +389,4 @@
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E0740131-AA3E-4A3F-BA03-C9FF8327F4EE}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -416,5 +403,4 @@
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E3CCBFC6-900C-41B6-AFB8-6646DB097435}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -445,5 +431,4 @@
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{FCD62C6F-4793-4593-AE9A-0BDCA256EE99}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -461,5 +446,4 @@
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{7DD3A97A-56E9-462F-90E2-A351FE7AF5C2}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -532,5 +516,4 @@
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -547,5 +530,4 @@
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E66D1EAA-525C-4F6D-BD25-DBCAE3750E25}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -562,5 +544,4 @@
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{545CE756-98D8-423B-AC2E-6E7D70926E5C}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -591,5 +572,4 @@
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{6960CBCD-E44B-49B0-BA86-671091C42C36}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6960CBCD-E44B-49B0-BA86-671091C42C36}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -695,5 +675,4 @@
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{F18FD554-19B9-460C-9A49-4AA8D7245727}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F18FD554-19B9-460C-9A49-4AA8D7245727}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -811,5 +790,4 @@
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{1F1CF3ED-374C-4288-995B-93F6B872F571}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1F1CF3ED-374C-4288-995B-93F6B872F571}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -826,5 +804,4 @@
 		{74223A32-C726-4978-BE78-37113A18373C}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{74223A32-C726-4978-BE78-37113A18373C}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{74223A32-C726-4978-BE78-37113A18373C}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{74223A32-C726-4978-BE78-37113A18373C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{74223A32-C726-4978-BE78-37113A18373C}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -841,5 +818,4 @@
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{7C20D100-8BEB-433A-9499-F075E2CB9297}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{7C20D100-8BEB-433A-9499-F075E2CB9297}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -856,5 +832,4 @@
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.CEDMA Debug|x86.ActiveCfg = Debug|x86
-		{6084CFB5-733F-449D-9F92-2E40D13F0514}.CEDMA Debug|x86.Build.0 = Debug|x86
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6084CFB5-733F-449D-9F92-2E40D13F0514}.Debug|Any CPU.Build.0 = Debug|Any CPU