Index: trunk/sources/HeuristicLab.Hive.Client.Common/HeuristicLab.Hive.Client.Common.csproj
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Common/HeuristicLab.Hive.Client.Common.csproj	(revision 931)
+++ trunk/sources/HeuristicLab.Hive.Client.Common/HeuristicLab.Hive.Client.Common.csproj	(revision 932)
@@ -68,6 +68,6 @@
     <Compile Include="Logging.cs" />
     <Compile Include="MessageQueue.cs" />
+    <Compile Include="NetworkEnum.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="Status.cs" />
   </ItemGroup>
   <ItemGroup>
Index: trunk/sources/HeuristicLab.Hive.Client.Common/NetworkEnum.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Common/NetworkEnum.cs	(revision 932)
+++ trunk/sources/HeuristicLab.Hive.Client.Common/NetworkEnum.cs	(revision 932)
@@ -0,0 +1,10 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace HeuristicLab.Hive.Client.Common {
+  public class NetworkEnum {
+    public enum WcfConnState { Connected, Disconnected, Failed }  
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Client.Common/Status.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Common/Status.cs	(revision 931)
+++ 	(revision )
@@ -1,19 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-
-namespace HeuristicLab.Hive.Client.Common {
-  public static class Status {
-    public static int CurrentJobs { get; set; }
-    public static int CurrentUsedCores { get; set; }
-    public static DateTime LoginTime { get; set; }
-    public static bool LoggedIn { get; set; }
-
-    static Status() {
-      CurrentJobs = 0;
-      CurrentUsedCores = 0;
-      LoggedIn = false;
-    }
-  }
-}
Index: trunk/sources/HeuristicLab.Hive.Client.Communication/HeuristicLab.Hive.Client.Communication.csproj
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/HeuristicLab.Hive.Client.Communication.csproj	(revision 931)
+++ trunk/sources/HeuristicLab.Hive.Client.Communication/HeuristicLab.Hive.Client.Communication.csproj	(revision 932)
@@ -70,5 +70,4 @@
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="ServerProxy.cs" />
-    <Compile Include="ServiceLocator.cs" />
     <Compile Include="WcfService.cs" />
   </ItemGroup>
Index: trunk/sources/HeuristicLab.Hive.Client.Communication/ServiceLocator.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/ServiceLocator.cs	(revision 931)
+++ 	(revision )
@@ -1,22 +1,0 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using System.ServiceModel;
-
-namespace HeuristicLab.Hive.Client.Communication {
-  public class ServiceLocator {
-    private static ClientCommunicatorClient proxy = null;
-    
-    public static ClientCommunicatorClient GetClientCommunicator() {
-      if (proxy == null) {
-        proxy = new ClientCommunicatorClient(
-          new NetTcpBinding(),
-          new EndpointAddress("net.tcp://10.20.53.2:9000/HiveServer/ClientCommunicator")
-          );
-      }
-
-      return proxy;
-    }
-  }
-}
Index: trunk/sources/HeuristicLab.Hive.Client.Communication/WcfService.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Communication/WcfService.cs	(revision 931)
+++ trunk/sources/HeuristicLab.Hive.Client.Communication/WcfService.cs	(revision 932)
@@ -8,5 +8,4 @@
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 using HeuristicLab.Hive.Client.Common;
-
 
 namespace HeuristicLab.Hive.Client.Communication {
@@ -22,12 +21,13 @@
     }
 
-    public enum ConnectionState { connected, disconnected, failed }  
-    public ConnectionState ConnState { get; set; }
+    public DateTime ConnectedSince { get; private set; }    
+    public NetworkEnum.WcfConnState ConnState { get; private set; }
+    public string ServerIP { get; private set; }
+    public int ServerPort { get; private set; }
 
     public event EventHandler ConnectionRestored;    
+    public event EventHandler ServerChanged;    
 
     private ClientCommunicatorClient proxy = null;
-    private string serverIP;
-    private string serverPort;
 
     private WcfService() {
@@ -38,5 +38,5 @@
           proxy = new ClientCommunicatorClient(
             new NetTcpBinding(),
-            new EndpointAddress("net.tcp://" + serverIP + ":" + serverPort + "/HiveServer/ClientCommunicator")
+            new EndpointAddress("net.tcp://" + ServerIP + ":" + ServerPort + "/HiveServer/ClientCommunicator")
             );
         }
@@ -47,8 +47,8 @@
         proxy.SendHeartBeatCompleted += new EventHandler<SendHeartBeatCompletedEventArgs>(proxy_SendHeartBeatCompleted);
 
-        if (ConnState == ConnectionState.failed)
+        if (ConnState == NetworkEnum.WcfConnState.Failed)
           ConnectionRestored(this, new EventArgs());
-        ConnState = ConnectionState.connected;
-
+        ConnState = NetworkEnum.WcfConnState.Connected;
+        ConnectedSince = DateTime.Now;
       }
       catch (Exception ex) {
@@ -57,12 +57,18 @@
     }
 
-    public void Connect(String serverIP, String serverPort) {
-      this.serverIP = serverIP;
-      this.serverPort = serverPort;
+    public void Connect(String serverIP, int serverPort) {
+      if(!(this.ServerIP == serverIP) && !(this.ServerPort == ServerPort))
+        ServerChanged(this, new EventArgs());
+      this.ServerIP = serverIP;
+      this.ServerPort = serverPort;
       Connect();
     }
 
+    public void Disconnect() {
+      ConnState = NetworkEnum.WcfConnState.Disconnected;
+    }
+
     private void NetworkErrorHandling(Exception e) {
-      ConnState = ConnectionState.failed;
+      ConnState = NetworkEnum.WcfConnState.Failed;
       Logging.GetInstance().Error(this.ToString(), "exception: ", e);
     }
@@ -71,5 +77,5 @@
     public event System.EventHandler<LoginCompletedEventArgs> LoginCompleted;
     public void LoginAsync(ClientInfo clientInfo) {
-      if (ConnState == ConnectionState.connected)
+      if (ConnState == NetworkEnum.WcfConnState.Connected)
         proxy.LoginAsync(clientInfo);
     }
@@ -85,5 +91,5 @@
     public event System.EventHandler<PullJobCompletedEventArgs> PullJobCompleted;
     public void PullJobAsync(Guid guid) {
-      if (ConnState == ConnectionState.connected)
+      if (ConnState == NetworkEnum.WcfConnState.Connected)
         proxy.PullJobAsync(guid);
     }
@@ -99,5 +105,5 @@
     public event System.EventHandler<SendJobResultCompletedEventArgs> SendJobResultCompleted;
     public void SendJobResultAsync(JobResult result, bool finished) {
-      if (ConnState == ConnectionState.connected)
+      if (ConnState == NetworkEnum.WcfConnState.Connected)
         proxy.SendJobResult(result, finished);
     }
@@ -115,5 +121,5 @@
     public event System.EventHandler<SendHeartBeatCompletedEventArgs> SendHeartBeatCompleted;
     public void SendHeartBeatAsync(HeartBeatData hbd) {
-      if (ConnState == ConnectionState.connected)
+      if (ConnState == NetworkEnum.WcfConnState.Connected)
         proxy.SendHeartBeatAsync(hbd);
     }
@@ -127,4 +133,5 @@
 
     #endregion
+
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/ClientConsoleCommunicator.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/ClientConsoleCommunicator.cs	(revision 931)
+++ trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/ClientConsoleCommunicator.cs	(revision 932)
@@ -4,4 +4,6 @@
 using System.Text;
 using HeuristicLab.Hive.Client.Core.ClientConsoleService.Interfaces;
+using HeuristicLab.Hive.Client.Core.ConfigurationManager;
+using HeuristicLab.Hive.Client.Communication;
 
 namespace HeuristicLab.Hive.Client.Core.ClientConsoleService {
@@ -10,13 +12,17 @@
 
     public StatusCommons GetStatusInfos() {
-      throw new NotImplementedException();
+      return ConfigManager.Instance.GetStatusForClientConsole();
     }
 
     public ConnectionContainer GetConnection() {
-      throw new NotImplementedException();
+      return new ConnectionContainer{IPAdress = WcfService.Instance.ServerIP, Port = WcfService.Instance.ServerPort } ;
     }
 
     public void SetConnection(ConnectionContainer container) {
-      throw new NotImplementedException();
+      WcfService.Instance.Connect(container.IPAdress, container.Port);
+    }
+
+    public void Disconnect() {
+      WcfService.Instance.Disconnect();
     }
 
Index: trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/Interfaces/IClientConsoleCommunicator.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/Interfaces/IClientConsoleCommunicator.cs	(revision 931)
+++ trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/Interfaces/IClientConsoleCommunicator.cs	(revision 932)
@@ -14,4 +14,6 @@
     [OperationContract]
     void SetConnection(ConnectionContainer container);
+    [OperationContract]
+    void Disconnect();
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/TransferObjects/StatusCommons.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/TransferObjects/StatusCommons.cs	(revision 931)
+++ trunk/sources/HeuristicLab.Hive.Client.Core/ClientConsoleService/TransferObjects/StatusCommons.cs	(revision 932)
@@ -3,11 +3,11 @@
 using System.Linq;
 using System.Text;
+using HeuristicLab.Hive.Client.Common;
 
 namespace HeuristicLab.Hive.Client.Core.ClientConsoleService {
   [Serializable]
-  public class StatusCommons {
-    public enum ClientStatusEnum { Connected, Disconnected, ConnInterrupted };
+  public class StatusCommons {    
     public Guid ClientGuid { get; set; }
-    public ClientStatusEnum Status { get; set; }
+    public NetworkEnum.WcfConnState Status { get; set; }
     public DateTime ConnectedSince { get; set; }
     public int JobsFetched { get; set; }
Index: trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager.cs	(revision 931)
+++ 	(revision )
@@ -1,98 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Hive.Contracts.BusinessObjects;
-using HeuristicLab.Hive.Client.ExecutionEngine;
-using HeuristicLab.Hive.Client.Core.ClientConsoleService;
-
-namespace HeuristicLab.Hive.Client.Core {
-  /// <summary>
-  /// accesses the Server and sends his data (uuid, uptimes, hardware config) 
-  /// </summary>
-  public class ConfigurationManager {
-    private static ConfigurationManager instance = null;
-
-    public Core Core { get; set; }
-    private ClientInfo clientInfo;    
-    private Guid guid;
-
-    public static ConfigurationManager GetInstance() {
-      if (instance == null) {
-        instance = new ConfigurationManager();
-      }
-      return instance;
-    }
-
-   
-
-    /// <summary>
-    /// Constructor for the singleton, must recover Guid, Calendar, ...
-    /// </summary>
-    private ConfigurationManager() {
-      //retrive GUID from XML file, or burn in hell. as in hell. not heaven.
-      //this won't work this way. We need a plugin for XML Handling.
-      guid = Guid.NewGuid();
-      clientInfo = new ClientInfo();
-      clientInfo.ClientId = Guid.NewGuid();
-      clientInfo.NrOfCores = Environment.ProcessorCount;
-      clientInfo.Memory = 1024;
-      clientInfo.Name = Environment.MachineName;
-
-    }
-
-    public ClientInfo GetClientInfo() {
-      return clientInfo;          
-    }
-
-    public StatusCommons GetStatusForClient() {
-      StatusCommons st = new StatusCommons();
-      st.ClientGuid = guid;
-      st.ConnectedSince = clientInfo.Login;
-      //This is just Temporary!
-      st.JobsAborted = 0;
-      st.JobsDone = 0;
-      st.JobsFetched = 0;
-      st.Status = StatusCommons.ClientStatusEnum.Connected;
-
-      Dictionary<long, Executor> engines = Core.GetExecutionEngines();
-      foreach (KeyValuePair<long, Executor> kvp in engines) {
-        Executor e = kvp.Value;
-        st.Jobs.Add(new JobStatus { JobId = e.JobId, Progress = e.Progress, Since = e.CreationTime });
-      }
-      return st;      
-    }
-
-    public void Loggedin() {
-      if (clientInfo == null) {
-        clientInfo = new ClientInfo();
-      }
-      clientInfo.Login = DateTime.Now;
-    }
-
-    public void Connect(Guid guid) {
-    }
-
-  }
-}
Index: trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager/ClientStatusInfo.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager/ClientStatusInfo.cs	(revision 932)
+++ trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager/ClientStatusInfo.cs	(revision 932)
@@ -0,0 +1,14 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace HeuristicLab.Hive.Client.Core.ConfigurationManager {
+  public class ClientStatusInfo {
+    static public int JobsProcessed { get; set; }
+    static public int JobsAborted { get; set; }
+    static public int JobsFetched { get; set; }
+    static public DateTime LoginTime { get; set; }
+    
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager/ConfigManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager/ConfigManager.cs	(revision 932)
+++ trunk/sources/HeuristicLab.Hive.Client.Core/ConfigurationManager/ConfigManager.cs	(revision 932)
@@ -0,0 +1,92 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.Hive.Client.ExecutionEngine;
+using HeuristicLab.Hive.Client.Core.ClientConsoleService;
+using HeuristicLab.Hive.Client.Communication;
+
+namespace HeuristicLab.Hive.Client.Core.ConfigurationManager {
+  /// <summary>
+  /// accesses the Server and sends his data (uuid, uptimes, hardware config) 
+  /// </summary>
+  public class ConfigManager {
+    private static ConfigManager instance = null;
+    public static ConfigManager Instance {
+      get {
+        if (instance == null) {
+          instance = new ConfigManager();
+        }
+        return instance;
+      }
+    }
+
+    public Core Core { get; set; }    
+    private ClientInfo hardwareInfo;        
+
+    /// <summary>
+    /// Constructor for the singleton, must recover Guid, Calendar, ...
+    /// </summary>
+    private ConfigManager() {
+      //retrive GUID from XML file, or burn in hell. as in hell. not heaven.
+      //this won't work this way. We need a plugin for XML Handling.      
+      hardwareInfo = new ClientInfo();
+      hardwareInfo.ClientId = Guid.NewGuid();
+      hardwareInfo.NrOfCores = Environment.ProcessorCount;
+      hardwareInfo.Memory = 1024;
+      hardwareInfo.Name = Environment.MachineName;
+    }
+
+    public ClientInfo GetClientInfo() {
+      return hardwareInfo;          
+    }
+
+    public StatusCommons GetStatusForClientConsole() {
+      StatusCommons st = new StatusCommons();
+      st.ClientGuid = hardwareInfo.ClientId;
+      
+      st.Status = WcfService.Instance.ConnState;
+      st.ConnectedSince = WcfService.Instance.ConnectedSince;
+
+      st.JobsAborted = ClientStatusInfo.JobsAborted;
+      st.JobsDone = ClientStatusInfo.JobsProcessed;
+      st.JobsFetched = ClientStatusInfo.JobsFetched;      
+
+      Dictionary<long, Executor> engines = Core.GetExecutionEngines();
+      foreach (KeyValuePair<long, Executor> kvp in engines) {
+        Executor e = kvp.Value;
+        st.Jobs.Add(new JobStatus { JobId = e.JobId, Progress = e.Progress, Since = e.CreationTime });
+      }
+      return st;      
+    }
+
+    public void Loggedin() {
+      if (hardwareInfo == null) {
+        hardwareInfo = new ClientInfo();
+      }
+      hardwareInfo.Login = DateTime.Now;
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs	(revision 931)
+++ trunk/sources/HeuristicLab.Hive.Client.Core/Core.cs	(revision 932)
@@ -40,4 +40,5 @@
 using System.ServiceModel.Description;
 using HeuristicLab.Hive.Client.Core.ClientConsoleService;
+using HeuristicLab.Hive.Client.Core.ConfigurationManager;
 
 
@@ -57,9 +58,9 @@
       server.StartClientConsoleServer(new Uri("net.tcp://127.0.0.1:8000/ClientConsole/"));
 
-      ConfigurationManager manager = ConfigurationManager.GetInstance();
+      ConfigManager manager = ConfigManager.Instance;
       manager.Core = this;
 
       wcfService = WcfService.Instance;
-      wcfService.Connect("192.168.132.1", "9000");
+      wcfService.Connect("10.20.53.1", 9000);
 
       wcfService.LoginCompleted += new EventHandler<LoginCompletedEventArgs>(wcfService_LoginCompleted);
@@ -67,6 +68,7 @@
       wcfService.SendJobResultCompleted += new EventHandler<SendJobResultCompletedEventArgs>(wcfService_SendJobResultCompleted);
       wcfService.ConnectionRestored += new EventHandler(wcfService_ConnectionRestored);
+      wcfService.ServerChanged += new EventHandler(wcfService_ServerChanged);
 
-      wcfService.LoginAsync(ConfigurationManager.GetInstance().GetClientInfo());
+      wcfService.LoginAsync(ConfigManager.Instance.GetClientInfo());
 
       Heartbeat beat = new Heartbeat { Interval = 10000 };
@@ -115,5 +117,5 @@
       byte[] sJob = engines[jId].GetFinishedJob();
       
-      JobResult jobResult = new JobResult { JobId = jId, Result = sJob, Client = ConfigurationManager.GetInstance().GetClientInfo() };
+      JobResult jobResult = new JobResult { JobId = jId, Result = sJob, Client = ConfigManager.Instance.GetClientInfo() };
       wcfService.SendJobResultAsync(jobResult, true);
     }
@@ -135,7 +137,5 @@
       if (e.Result.Success) {
         Logging.GetInstance().Info(this.ToString(), "Login completed to Hive Server @ " + DateTime.Now);
-        ConfigurationManager.GetInstance().Loggedin();
-        Status.LoginTime = DateTime.Now;
-        Status.LoggedIn = true;
+        ConfigManager.Instance.Loggedin();        
       } else
         Logging.GetInstance().Error(this.ToString(), e.Result.StatusMessage);
@@ -156,7 +156,7 @@
       engines.Add(e.Result.JobId, engine);
 
-      Status.CurrentJobs++;
+      ClientStatusInfo.JobsFetched++;
 
-      Debug.WriteLine("Increment CurrentJobs to:"+Status.CurrentJobs.ToString());
+      Debug.WriteLine("Increment FetchedJobs to:"+ClientStatusInfo.JobsFetched);
     }
 
@@ -166,10 +166,18 @@
         appDomains.Remove(e.Result.JobId);
         engines.Remove(e.Result.JobId);
-        Status.CurrentJobs--;
-        Debug.WriteLine("Decrement CurrentJobs to:" + Status.CurrentJobs.ToString());
+        ClientStatusInfo.JobsProcessed++;
+        Debug.WriteLine("ProcessedJobs to:" + ClientStatusInfo.JobsProcessed);
       } else {
         Debug.WriteLine("Job sending FAILED!");
       }
     }
+
+    void wcfService_ServerChanged(object sender, EventArgs e) {
+      foreach(KeyValuePair<long, AppDomain> entries in appDomains)
+        AppDomain.Unload(appDomains[entries.Key]);
+      appDomains = new Dictionary<long, AppDomain>();
+      engines = new Dictionary<long, Executor>();
+    }
+
 
     #endregion
Index: trunk/sources/HeuristicLab.Hive.Client.Core/Heartbeat.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Core/Heartbeat.cs	(revision 931)
+++ trunk/sources/HeuristicLab.Hive.Client.Core/Heartbeat.cs	(revision 932)
@@ -74,7 +74,7 @@
                                                               freeMemory = 1000, 
                                                               jobProgress = 1};
-      if (wcfService.ConnState == WcfService.ConnectionState.failed) {
+      if (wcfService.ConnState == NetworkEnum.WcfConnState.Failed) {
         wcfService.Connect();
-      } else if (wcfService.ConnState == WcfService.ConnectionState.connected) {
+      } else if (wcfService.ConnState == NetworkEnum.WcfConnState.Connected) {
         wcfService.SendHeartBeatAsync(heartBeatData);
       }
Index: trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj	(revision 931)
+++ trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj	(revision 932)
@@ -76,5 +76,6 @@
     <Compile Include="ClientConsoleService\TransferObjects\JobStatus.cs" />
     <Compile Include="ClientConsoleService\TransferObjects\StatusCommons.cs" />
-    <Compile Include="ConfigurationManager.cs" />
+    <Compile Include="ConfigurationManager\ClientStatusInfo.cs" />
+    <Compile Include="ConfigurationManager\ConfigManager.cs" />
     <Compile Include="Core.cs" />
     <Compile Include="CoreApplication.cs" />