Index: trunk/sources/HeuristicLab.Hive.Contracts/ApplicationConstants.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/ApplicationConstants.cs	(revision 936)
+++ trunk/sources/HeuristicLab.Hive.Contracts/ApplicationConstants.cs	(revision 937)
@@ -19,4 +19,5 @@
     public static string RESPONSE_USERROLE_PERMISSIONOWNER_ADDED = "UserRole.PermissionOwnerAdded";
     public static string RESPONSE_USERROLE_GET_ALL_USERGROUPS = "UserRole.AllUserGroupsReturned";
+    public static string RESPONSE_USERROLE_ID_MUST_NOT_BE_SET = "UserRole.IdMustNotBeSet";
 
     public static string RESPONSE_CLIENT_GET_ALL_CLIENTS = "Client.GetAllClients";
Index: trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/ClientGroup.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/ClientGroup.cs	(revision 936)
+++ trunk/sources/HeuristicLab.Hive.Contracts/BusinessObjects/ClientGroup.cs	(revision 937)
@@ -31,6 +31,4 @@
   public class ClientGroup : Resource {
     [DataMember]
-    public long ClientGroupId { get; set; }
-    [DataMember]
     public List<Resource> Resources { get; set; }
 
Index: trunk/sources/HeuristicLab.Hive.Contracts/HiveServerMessages.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Contracts/HiveServerMessages.resx	(revision 936)
+++ trunk/sources/HeuristicLab.Hive.Contracts/HiveServerMessages.resx	(revision 937)
@@ -178,3 +178,6 @@
     <value>User successfully added to database</value>
   </data>
+  <data name="UserRole.IdMustNotBeSet" xml:space="preserve">
+    <value>In this context the id must not be set</value>
+  </data>
 </root>
Index: trunk/sources/HeuristicLab.Hive.Server.Core/ClientManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Core/ClientManager.cs	(revision 936)
+++ trunk/sources/HeuristicLab.Hive.Server.Core/ClientManager.cs	(revision 937)
@@ -43,5 +43,5 @@
       clientGroups = new List<ClientGroup>();
 
-      ClientGroup cg = new ClientGroup { ResourceId = 4, Name = "SuperGroup", ClientGroupId = 1 };
+      ClientGroup cg = new ClientGroup { ResourceId = 4, Name = "SuperGroup" };
       cg.Resources = new List<Resource>();
 
@@ -78,5 +78,10 @@
 
     public Response AddClientGroup(ClientGroup clientGroup) {
-      throw new NotImplementedException();
+      Response response = new Response();
+
+      ClientGroup clientGroupFromDb = clientGroupAdapter.GetClientGroupById(clientGroup.ResourceId);
+      
+
+      return response;
     }
 
Index: trunk/sources/HeuristicLab.Hive.Server.Core/UserRoleManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Core/UserRoleManager.cs	(revision 936)
+++ trunk/sources/HeuristicLab.Hive.Server.Core/UserRoleManager.cs	(revision 937)
@@ -37,8 +37,7 @@
       Response response = new Response();
 
-      User dbUser = userAdapter.GetUserByName(user.Name);
-      if (dbUser != null) {
+      if (user.PermissionOwnerId != null) {
         response.Success = false;
-        response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_USER_EXISTS_ALLREADY;
+        response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_ID_MUST_NOT_BE_SET;
         return response;
       }
@@ -77,9 +76,8 @@
     public Response AddNewUserGroup(UserGroup userGroup) {
       Response response = new Response();
-
-      UserGroup userGroupFromDb = userGroupAdapter.GetUserGroupById(userGroup.PermissionOwnerId);
-      if (userGroupFromDb != null) {
+      
+      if (userGroup.PermissionOwnerId != null) {
         response.Success = false;
-        response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_USERGROUP_EXISTS_ALLREADY;
+        response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_ID_MUST_NOT_BE_SET;
         return response;
       }
@@ -109,5 +107,11 @@
     public Response AddPermissionOwnerToGroup(long groupId, PermissionOwner permissionOwner) {
       Response response = new Response();
-      
+
+      if (permissionOwner.PermissionOwnerId != null) {
+        response.Success = false;
+        response.StatusMessage = ApplicationConstants.RESPONSE_USERROLE_ID_MUST_NOT_BE_SET;
+        return response;
+      }
+
       UserGroup userGroup = userGroupAdapter.GetUserGroupById(groupId);
       if (userGroup == null) {